//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include "DBRV.hpp"
#include "RVEdit.hpp"
#include "RichView.hpp"
#include "RVScroll.hpp"
#include <DBCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Mask.hpp>
#include <DB.hpp>
#include "RVStyle.hpp"
#include <Graphics.hpp>
#include <FireDAC.Comp.Client.hpp>
#include <FireDAC.Comp.DataSet.hpp>
#include <FireDAC.DApt.hpp>
#include <FireDAC.DApt.Intf.hpp>
#include <FireDAC.DatS.hpp>
#include <FireDAC.Phys.hpp>
#include <FireDAC.Phys.IB.hpp>
#include <FireDAC.Phys.Intf.hpp>
#include <FireDAC.Stan.Async.hpp>
#include <FireDAC.Stan.Def.hpp>
#include <FireDAC.Stan.Error.hpp>
#include <FireDAC.Stan.Intf.hpp>
#include <FireDAC.Stan.Option.hpp>
#include <FireDAC.Stan.Param.hpp>
#include <FireDAC.Stan.Pool.hpp>
#include <FireDAC.UI.Intf.hpp>
#include <FireDAC.Comp.UI.hpp>
#include <FireDAC.VCLUI.Wait.hpp>
#include <FireDAC.Phys.IBBase.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TLabel *Label1;
    TLabel *Label2;
    TLabel *Label3;
    TSpeedButton *SpeedButton1;
    TDBRichViewEdit *DBRichViewEdit1;
    TDBNavigator *DBNavigator1;
    TDBEdit *DBEdit1;
    TDataSource *DataSource1;
    TRVStyle *RVStyle1;
	TFDConnection *FDConnection1;
	TFDTable *FDTable1;
	TFDGUIxWaitCursor *FDGUIxWaitCursor1;
	TFDPhysIBDriverLink *FDPhysIBDriverLink1;
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall DataSource1DataChange(TObject *Sender, TField *Field);
    void __fastcall DBRichViewEdit1CurTextStyleChanged(TObject *Sender);
    void __fastcall SpeedButton1Click(TObject *Sender);
private:	// User declarations
    void UpdateStatusLabel();
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
