//---------------------------------------------------------------------------
#ifndef MainFrmH
#define MainFrmH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "RichView.hpp"
#include "RVScroll.hpp"
#include "RVStyle.hpp"
#include <Graphics.hpp>
#include <ImgList.hpp>
//---------------------------------------------------------------------------
class TfrmMain : public TForm
{
__published:	// IDE-managed Components
    TRichView *rv;
    TRichView *rvTop;
    TRVStyle *rvs;
    TRVStyle *rvsForDemos;
    TImageList *il;
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall rvRVMouseMove(TObject *Sender, int id);
    void __fastcall rvJump(TObject *Sender, int id);
private:	// User declarations
public:		// User declarations
    __fastcall TfrmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
// Constants for text styles, rvsForDemos->TextStyles
#define sncomNormal  0
#define sncomHeading 1
#define sncomKeyword 2
#define sncomMarked  3
//---------------------------------------------------------------------------
extern TfrmMain *frmMain;
//---------------------------------------------------------------------------
#endif
