//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\ExtCtrls.hpp>
#include "RichView.hpp"
#include "RVScroll.hpp"
#include "RVStyle.hpp"
#include "RVReport.hpp"
#include "PtblRV.hpp"
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TLabel *Label1;
        TLabel *lblPage;
        TLabel *Label3;
        TLabel *Label4;
        TLabel *Label5;
        TRichView *rv;
        TRadioGroup *rgFormat;
        TCheckBox *cbIgnorePageBreaks;
        TCheckBox *cbTransparent;
        TScrollBar *sbPage;
        TEdit *txtWidth;
        TEdit *txtHeight;
        TCheckBox *cbAutoHeight;
        TButton *btnRecreate;
        TScrollBox *ScrollBox1;
        TImage *Img;
        TRVStyle *RVStyle1;
        TRVReportHelper *rvHelper;
        TRVStyle *RVStyle2;
	void __fastcall FormCreate(TObject *Sender);
        void __fastcall txtWidthOrHeightChange(TObject *Sender);
        void __fastcall sbPageChange(TObject *Sender);
        void __fastcall btnRecreateClick(TObject *Sender);
private:	// User declarations
        void TForm1::FormatReportHelper();
        TMetafile * GetPageMetafile(int PageNo, int Width, int Height);
        Graphics::TBitmap* GetPageBitmap(int PageNo, int Width, int Height);
        void DisplayPage();                        
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
 