//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include "RVEdit.hpp"
#include "RichView.hpp"
#include "RVScroll.hpp"
#include <Menus.hpp>
#include "RVStyle.hpp"
#include "PtblRV.hpp"
#include <Dialogs.hpp>
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TPageControl *PageControl1;
	TTabSheet *TabSheet1;
	TRichViewEdit *rveMain;
	TTabSheet *TabSheet2;
	TRichViewEdit *rveHeader;
	TTabSheet *TabSheet3;
	TRichViewEdit *rveFooter;
	TTabSheet *TabSheet5;
	TRichViewEdit *rveHeader1;
	TTabSheet *TabSheet6;
	TRichViewEdit *rveFooter1;
	TTabSheet *TabSheet7;
	TRichViewEdit *rveHeaderEv;
	TTabSheet *TabSheet8;
	TRichViewEdit *rveFooterEv;
	TTabSheet *TabSheet4;
	TGroupBox *GroupBox1;
	TLabel *Label1;
	TLabel *Label2;
	TLabel *Label3;
	TLabel *Label4;
	TEdit *txtLeft;
	TEdit *txtRight;
	TEdit *txtTop;
	TEdit *txtBottom;
	TGroupBox *GroupBox2;
	TLabel *Label5;
	TLabel *Label6;
	TEdit *txtHeader;
	TEdit *txtFooter;
	TCheckBox *cbTitlePage;
	TCheckBox *cbFacingPages;
	TCheckBox *cbMirrorMargins;
	TPrinterSetupDialog *psd;
	TRVPrint *RVPrint1;
	TMainMenu *MainMenu1;
	TMenuItem *File1;
	TMenuItem *New1;
	TMenuItem *Open1;
	TMenuItem *N1;
	TMenuItem *PrintPreview1;
	TMenuItem *Print1;
	TMenuItem *N2;
	TMenuItem *Exit1;
	TOpenDialog *OpenDialog1;
	TRVStyle *RVStyle3;
	TRVStyle *RVStyle2;
	TRVStyle *RVStyle1;
	TRVStyle *RVStyle4;
	TRVStyle *RVStyle5;
	TRVStyle *RVStyle6;
	TRVStyle *RVStyle7;
	void __fastcall New1Click(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall Open1Click(TObject *Sender);
	void __fastcall PrintPreview1Click(TObject *Sender);
	void __fastcall Print1Click(TObject *Sender);
	void __fastcall Exit1Click(TObject *Sender);
private:	// User declarations
    bool IsEmpty(TCustomRichViewEdit* rve);
    TRichViewEdit* GetHeaderOrFooterRV(TRVHFType HFType, bool IsHeader);
    void AssignAllHeadersAndFootersForRTF();
    void ClearAll();
    void FormatAll();
    void PreparePrinting();
    void OpenFile(const UnicodeString FileName);
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
 