//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <OleCtnrs.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include "GifImg.hpp"
#include "RichView.hpp"
#include "RVScroll.hpp"
#include "RVStyle.hpp"
#include <Dialogs.hpp>
#include <ComCtrls.hpp>
#include <ImgList.hpp>
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TRichView *RichView1;
    TPanel *Panel1;
    TLabel *Label1;
    TLabel *Label2;
    TButton *Button1;
    TButton *Button2;
    TCheckBox *CheckBox1;
    TEdit *Edit1;
    TEdit *Edit2;
    TStatusBar *StatusBar1;
    TOpenDialog *OpenDialog1;
    TSaveDialog *SaveDialog1;
    TImageList *ImageList1;
    TRVStyle *RVStyle1;
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall Button1Click(TObject *Sender);
    void __fastcall RichView1RVFImageListNeeded(TCustomRichView *Sender,
    int ImageListTag, TCustomImageList *&il);
    void __fastcall RichView1RVMouseMove(TObject *Sender, int id);
    void __fastcall RichView1Jump(TObject *Sender, int id);
    void __fastcall Button2Click(TObject *Sender);
    void __fastcall RichView1HTMLSaveImage(TCustomRichView *Sender,
    TCustomRVData *RVData, int ItemNo, const UnicodeString Path,
    TColor BackgroundColor, UnicodeString &Location, bool &DoDefault);
    void __fastcall RichView1SaveComponentToFile(TCustomRichView *Sender,
          UnicodeString Path, TPersistent *SaveMe, TRVSaveFormat SaveFormat,
          UnicodeString &OutStr);
    void __fastcall RichView1SaveHTMLExtra(TCustomRichView *Sender,
          TRVHTMLSaveArea Area, bool CSSVersion, UnicodeString &HTMLCode);
    void __fastcall RichView1WriteHyperlink(TCustomRichView *Sender,
          int id, TCustomRVData *RVData, int ItemNo,
          TRVSaveFormat SaveFormat, UnicodeString &Target,
          UnicodeString &Extras);
private:	// User declarations
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
