//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <DBGrids.hpp>
#include "Grids.hpp"
#include <ExtCtrls.hpp>
#include <DBTables.hpp>
#include <DB.hpp>
#include "RVReport.hpp"
#include "PtblRV.hpp"
#include "RVStyle.hpp"
#include <Db.hpp>
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TfrmMain : public TForm
{
__published:	// IDE-managed Components
	TDBGrid *DBGrid1;
	TPanel *Panel1;
	TCheckBox *CheckBox1;
	TTable *Table1;
	TDataSource *DataSource1;
	TRVReportHelper *RVReportHelper1;
	TRVStyle *RVStyle1;
	void __fastcall FormCreate(TObject *Sender);

	void __fastcall DBGrid1DrawColumnCell(TObject *Sender, const TRect &Rect,
	int DataCol, TColumn *Column, TGridDrawState State);
	void __fastcall DBGrid1EditButtonClick(TObject *Sender);
	void __fastcall CheckBox1Click(TObject *Sender);
private:	// User declarations
    int DefRowHeight;
    void SetRowHeight();
    bool IsRVFField(TField* Field);    
public:		// User declarations
	__fastcall TfrmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TfrmMain *frmMain;
//---------------------------------------------------------------------------
#endif
 