//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <DBGrids.hpp>
#include "Grids.hpp"
#include <ExtCtrls.hpp>
#include <DB.hpp>
#include "RVReport.hpp"
#include "PtblRV.hpp"
#include "RVStyle.hpp"
#include <Db.hpp>
#include <Graphics.hpp>
#include <FireDAC.Comp.Client.hpp>
#include <FireDAC.Comp.DataSet.hpp>
#include <FireDAC.Comp.UI.hpp>
#include <FireDAC.DApt.hpp>
#include <FireDAC.DApt.Intf.hpp>
#include <FireDAC.DatS.hpp>
#include <FireDAC.Phys.hpp>
#include <FireDAC.Phys.IB.hpp>
#include <FireDAC.Phys.IBBase.hpp>
#include <FireDAC.Phys.Intf.hpp>
#include <FireDAC.Stan.Async.hpp>
#include <FireDAC.Stan.Def.hpp>
#include <FireDAC.Stan.Error.hpp>
#include <FireDAC.Stan.Intf.hpp>
#include <FireDAC.Stan.Option.hpp>
#include <FireDAC.Stan.Param.hpp>
#include <FireDAC.Stan.Pool.hpp>
#include <FireDAC.UI.Intf.hpp>
#include <FireDAC.VCLUI.Wait.hpp>
//---------------------------------------------------------------------------
class TfrmMain : public TForm
{
__published:	// IDE-managed Components
	TDBGrid *DBGrid1;
	TPanel *Panel1;
	TCheckBox *CheckBox1;
	TDataSource *DataSource1;
	TRVReportHelper *RVReportHelper1;
	TRVStyle *RVStyle1;
	TFDConnection *FDConnection1;
	TFDGUIxWaitCursor *FDGUIxWaitCursor1;
	TFDPhysIBDriverLink *FDPhysIBDriverLink1;
	TFDTable *FDTable1;
	void __fastcall FormCreate(TObject *Sender);

	void __fastcall DBGrid1DrawColumnCell(TObject *Sender, const TRect &Rect,
	int DataCol, TColumn *Column, TGridDrawState State);
	void __fastcall DBGrid1EditButtonClick(TObject *Sender);
	void __fastcall CheckBox1Click(TObject *Sender);
private:	// User declarations
    int DefRowHeight;
    void SetRowHeight();
    bool IsRVFField(TField* Field);    
public:		// User declarations
	__fastcall TfrmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TfrmMain *frmMain;
//---------------------------------------------------------------------------
#endif
 