//---------------------------------------------------------------------------
#ifndef MainFrmH
#define MainFrmH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "RVEdit.hpp"
#include "RichView.hpp"
#include "RVScroll.hpp"
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
#include "RVStyle.hpp"
#include "RVOfficeCnv.hpp"
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TfrmMain : public TForm
{
__published:	// IDE-managed Components
    TRichViewEdit *rve;
    TPanel *Panel1;
    TButton *btnOpen;
    TButton *btnSave;
    TProgressBar *pb;
    TOpenDialog *od;
    TRVStyle *rvs;
    TRVOfficeConverter *rvc;
    TSaveDialog *sd;
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall btnOpenClick(TObject *Sender);
    void __fastcall btnSaveClick(TObject *Sender);
    void __fastcall rvcConverting(TObject *Sender, int Percent);
    void __fastcall rveJump(TObject *Sender, int id);
private:	// User declarations
public:		// User declarations
    __fastcall TfrmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TfrmMain *frmMain;
//---------------------------------------------------------------------------
#endif
